uncaughtException: ReferenceError: AutoUpdater is not defined


#1

I just tried to update from 0.93.0 by clicking the Restart and Install Update menu option. The uncaughtException was immediately thrown.

ReferenceError: AutoUpdater is not defined
  at EventEmitter.autoUpdater.quitAndInstall (/Applications/Atom.app/Contents/Resources/atom/browser/api/lib/auto-updater.js:32:35)
  at AutoUpdateManager.module.exports.AutoUpdateManager.install (/Applications/Atom.app/Contents/Resources/app/src/browser/auto-update-manager.js:109:26)
  at AtomApplication.<anonymous> (/Applications/Atom.app/Contents/Resources/app/src/browser/atom-application.js:252:39)
  at AtomApplication.EventEmitter.emit (events.js:98:17)
  at AtomApplication.module.exports.AtomApplication.sendCommand (/Applications/Atom.app/Contents/Resources/app/src/browser/atom-application.js:390:22)
  at item.click (/Applications/Atom.app/Contents/Resources/app/src/browser/application-menu.js:185:45)
  at MenuItem.click (/Applications/Atom.app/Contents/Resources/atom/browser/api/lib/menu-item.js:38:18)
  at delegate.executeCommand (/Applications/Atom.app/Contents/Resources/atom/browser/api/lib/menu.js:78:31)

I can’t seem to get passed it.


Uncaught exception
Errors with "Restart and Install Update"
Atom 0.93 update failed
uncaughtException on restart to upgrade
I can't upgrade from 0.94 to 0.95
Autoupdate for v0.95.0 is broken
Auto-Update/Restart and Install failing?
#2

I too get this error.

ReferenceError: AutoUpdater is not defined
  at EventEmitter.autoUpdater.quitAndInstall (/Applications/Atom.app/Contents/Resources/atom/browser/api/lib/auto-updater.js:32:35)
  at AutoUpdateManager.module.exports.AutoUpdateManager.install (/Applications/Atom.app/Contents/Resources/app/src/browser/auto-update-manager.js:109:26)
  at AtomApplication.<anonymous> (/Applications/Atom.app/Contents/Resources/app/src/browser/atom-application.js:252:39)
  at AtomApplication.EventEmitter.emit (events.js:98:17)
  at AtomApplication.module.exports.AtomApplication.sendCommand (/Applications/Atom.app/Contents/Resources/app/src/browser/atom-application.js:390:22)
  at item.click (/Applications/Atom.app/Contents/Resources/app/src/browser/application-menu.js:185:45)
  at MenuItem.click (/Applications/Atom.app/Contents/Resources/atom/browser/api/lib/menu-item.js:38:18)
  at delegate.executeCommand (/Applications/Atom.app/Contents/Resources/atom/browser/api/lib/menu.js:78:31)

#3

I think it’ll be OK…

I had this problem, and closed out of Atom. For a few minutes, trying to open Atom gave me a cryptic error about the package being wrong for this type of Mac. I think that the updater was actually running at that point. After that, it opened fine with the new version.


#4

This is true for me too, closed it waiting a little while and reopened it and its on 0.94.0.


#5

It is as you say, @bjmiller. I am now running 0.94.0.


#6

I’m seeing this error, too. But I’m stuck in a loop where each time I reopen the app the file menu reports “Downloading Update” and then asks to be restarted. This has happened about 5-ish times so far.

Maybe I’m not waiting quite long enough. When some say they waited a little while, how long is little? 2 min or 5 or more?


#7

I can answer my question: it took ~5 minutes of waiting and now I’m on 0.94.


#8

Download manually and re-install.


#9

Reinstalling wasn’t necessary, just patience.